AWS
action EMR

# modify_instance_groups_shrink_policy

Modify an instance groups shrink operations

Run it now
View details

Type | action
Module | chaosaws.emr.actions
Name | modify_instance_groups_shrink_policy
Return | mapping

Usage

JSON

    {
      "name": "modify-instance-groups-shrink-policy",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.emr.actions",
        "func": "modify_instance_groups_shrink_policy",
        "arguments": {
          "cluster_id": "",
          "group_id": ""
        }
      }
    }

YAML

    name: modify-instance-groups-shrink-policy
    provider:
      arguments:
        cluster_id: ""
        group_id: ""
      func: modify_instance_groups_shrink_policy
      module: chaosaws.emr.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | string |  | Yes | Cluster ID |
group_id | string |  | Yes | Group ID |
decommission_timeout | integer | null | No | Decomission Timeout |
terminate_instances | list | null | No | Instances to Terminate |
protect_instances | list | null | No | Instances to Protect |
termination_timeout | integer | null | No | Termination Timeout |

- cluster_id: The cluster id
- group_id: The instance group id
- decommission_timeout: Timeout for decommissioning an instance
- terminate_instances: Instance id list to terminate when shrinking
- protect_instances: Instance id list to protect when shrinking
- termination_timeout: Override for list of instances to terminate

Signature

    def modify_instance_groups_shrink_policy(
            cluster_id: str,
            group_id: str,
            decommission_timeout: int = None,
            terminate_instances: List[str] = None,
            protect_instances: List[str] = None,
            termination_timeout: int = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action EMR

  ## `modify_instance_groups_instance_count`

  Modify the number of instances in an instance group
- AWS
  probe EMR

  ## `list_cluster_group_instances`

  Get a list of instance group instances associated to the EMR cluster
- AWS
  probe EMR

  ## `describe_cluster`

  Describe a single EMR cluster